<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Providers\**" />
    <EmbeddedResource Remove="Providers\**" />
    <None Remove="Providers\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Autofac" Version="5.1.2" />
    <PackageReference Include="IdentityModel" Version="5.0.0" />
    <PackageReference Include="InfluxData.Net" Version="8.0.1" />
    <PackageReference Include="log4net" Version="2.0.13" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
    <PackageReference Include="Microsoft.AspNetCore.Session" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="5.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="NPOI" Version="2.4.1" />
    <PackageReference Include="StackExchange.Redis" Version="2.2.88" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="6.6.0" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.2.14" />
    <PackageReference Include="TencentCloudSDK.Sms" Version="3.0.726" />
    <PackageReference Include="ZKWeb.System.Drawing" Version="4.0.1" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="APT.Infrastructure.Api">
      <HintPath>..\dll\APT.Infrastructure.Api.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.Core">
      <HintPath>..\dll\APT.Infrastructure.Core.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.EF">
      <HintPath>..\dll\APT.Infrastructure.EF.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.Utility">
      <HintPath>..\dll\APT.Infrastructure.Utility.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
  </ItemGroup>
</Project>
